<?php use_helper('I18N', 'stAdminGenerator', 'Validation');?>
<?php echo st_get_admin_head('appPointPackPlugin', __('Konfiguracja'), '', array('stConfigurationPlugin'));?>
    <div id="sf_admin_content">
        <?php echo st_get_component('stAdminGenerator', 'menu', array('items' => $menuItems));?>
        <?php if ($sf_request->hasErrors()):?>
            <div class="form-errors">
                <h2><?php echo __('Correct the data in the form.', null, 'stAdminGeneratorPlugin');?></h2>
                <?php if (isset($labels)): ?>  
                    <dl>
                        <?php foreach ($sf_request->getErrorNames() as $name):?>
                            <dt><?php echo __($labels[$name]);?></dt>
                            <dd><?php echo __($sf_request->getError($name));?></dd>
                        <?php endforeach; ?>
                    </dl>
                <?php endif; ?>
            </div>
        <?php elseif ($sf_flash->has('notice')): ?>
            <div class="save-ok">
                <h2><?php echo $sf_flash->get('notice');?></h2>
            </div>
        <?php endif; ?>
        <div id="sf_admin_content_config">
            <?php echo form_tag('pointpack/index', array('id' => 'sf_admin_config_form', 'name' => 'sf_admin_config_form'));?>
                <fieldset>
                    <div class="st_header">
                        <div>
                            <h2><?php echo __('Ustawienia główne');?></h2>
                        </div>
                    </div>
                    <div class="st_fieldset-content">
                        <div class="st_fieldset-checkbox" style="margin: 0 0 11px 230px;">
                            <div class="form-row <?php if($sf_request->hasError('config{active}')):?> form-error<?php endif;?>">
                                <?php if($sf_request->hasErrors()):?>
                                        <?php echo checkbox_tag('config[active]', true, $sf_params->get('config[active]'), array('style' => 'margin: 0px 5px 0px 0px;'));?>
                                <?php else:?>
                                        <?php echo checkbox_tag('config[active]', true, $config->get('active'), array('style' => 'margin: 0px 5px 0px 0px;'));?>
                                <?php endif;?>
                                <?php echo label_for('config[active]', __('Aktywuj metodę dostawy do punktów PointPack.pl'), array('style' => 'float: none;'));?>
                                <br class="st_clear_all" />
                            </div>
                            <div class="form-row <?php if($sf_request->hasError('config{checkbox_terms}')):?> form-error<?php endif;?>">
                                <?php if($sf_request->hasErrors()):?>
                                        <?php echo checkbox_tag('config[checkbox_terms]', true, $sf_params->get('config[checkbox_terms]'), array('style' => 'margin: 0px 5px 0px 0px;'));?>
                                <?php else:?>
                                        <?php echo checkbox_tag('config[checkbox_terms]', true, $config->get('checkbox_terms'), array('style' => 'margin: 0px 5px 0px 0px;'));?>
                                <?php endif;?>
                                    <span style="color: red; font-size: 14px;">*</span> <?php echo label_for('config[checkbox_terms]', __('Oświadczam, że zapoznałem się z regulaminem usług PointPack.pl S.A. i akceptuje wszystkie jego postanowienia.'), array('style' => 'float: none;'));?>
                                    <br class="st_clear_all" />
                                    <span style="padding-left: 30px;">
                                        (<a href="http://www.documents.pointpack.pl/regulamin_pointpack.pdf" target="_blank"><?php echo __('przejdź do regulaminu');?></a>)
                                    </span>
                                <br class="st_clear_all" />
                            </div>
                            <div class="form-row <?php if($sf_request->hasError('config{checkbox_data_process}')):?> form-error<?php endif;?>">
                                <?php if($sf_request->hasErrors()):?>
                                        <?php echo checkbox_tag('config[checkbox_data_process]', true, $sf_params->get('config[checkbox_data_process]'), array('style' => 'margin: 0px 5px 0px 0px;'));?>
                                <?php else:?>
                                        <?php echo checkbox_tag('config[checkbox_data_process]', true, $config->get('checkbox_data_process'), array('style' => 'margin: 0px 5px 0px 0px;'));?>
                                <?php endif;?>
                                    <span style="color: red; font-size: 14px;">*</span> <?php echo label_for('config[checkbox_data_process]', __('Wyrażam zgodę na przetwarzanie przez PointPack.pl S.A. z siedzibą w Grodzisku Mazowieckim, 05-825, ul. Traugutta 42, danych osobowych w celach związanych z świadczeniem usługi.'), array('style' => 'float: none;'));?>
                                <br class="st_clear_all" />
                            </div>
                            <div class="form-row <?php if($sf_request->hasError('config{checkbox_price}')):?> form-error<?php endif;?>">
                                <?php if($sf_request->hasErrors()):?>
                                        <?php echo checkbox_tag('config[checkbox_price]', true, $sf_params->get('config[checkbox_price]'), array('style' => 'margin: 0px 5px 0px 0px;'));?>
                                <?php else:?>
                                        <?php echo checkbox_tag('config[checkbox_price]', true, $config->get('checkbox_price'), array('style' => 'margin: 0px 5px 0px 0px;'));?>
                                <?php endif;?>
                                    <span style="color: red; font-size: 14px;">*</span> <?php echo label_for('config[checkbox_price]', __('Akceptuje cenę netto za usługę zwrotu przesyłek nieodebranych przez odbiorców z punktu PointPack.pl.'), array('style' => 'float: none;'));?>
                                <br class="st_clear_all" />
                            </div>
                            <div class="form-row <?php if($sf_request->hasError('config{checkbox_invoice}')):?> form-error<?php endif;?>">
                                <?php if($sf_request->hasErrors()):?>
                                        <?php echo checkbox_tag('config[checkbox_invoice]', true, $sf_params->get('config[checkbox_invoice]'), array('style' => 'margin: 0px 5px 0px 0px;'));?>
                                <?php else:?>
                                        <?php echo checkbox_tag('config[checkbox_invoice]', true, $config->get('checkbox_invoice'), array('style' => 'margin: 0px 5px 0px 0px;'));?>
                                <?php endif;?>
                                    <span style="color: red; font-size: 14px;">*</span> <?php echo label_for('config[checkbox_invoice]', __('Wyrażam zgodę na otrzymywanie faktur za zrealizowane usługi PointPack.pl drogą elektroniczną na podany niżej adres e-mail.'), array('style' => 'float: none;'));?>
                                <br class="st_clear_all" />
                            </div>
                            <div class="form-row <?php if($sf_request->hasError('config{checkbox_newsletter}')):?> form-error<?php endif;?>">
                                <?php if($sf_request->hasErrors()):?>
                                        <?php echo checkbox_tag('config[checkbox_newsletter]', true, $sf_params->get('config[checkbox_newsletter]'), array('style' => 'margin: 0px 5px 0px 0px;'));?>
                                <?php else:?>
                                        <?php echo checkbox_tag('config[checkbox_newsletter]', true, $config->get('checkbox_newsletter'), array('style' => 'margin: 0px 5px 0px 0px;'));?>
                                <?php endif;?>
                                    <span style="color: red; font-size: 14px;">*</span> <?php echo label_for('config[checkbox_newsletter]', __('Wyrażam zgodę na otrzymywanie newslettera z informacjami o zmianach dot. PointPack.pl na podany niżej adres e-mail administratora lub właściciela sklepu internetowego.'), array('style' => 'float: none;'));?>
                                <br class="st_clear_all" />
                            </div>
                            <div class="form-row <?php if($sf_request->hasError('config{checkbox_marketing}')):?> form-error<?php endif;?>">
                                <?php if($sf_request->hasErrors()):?>
                                        <?php echo checkbox_tag('config[checkbox_marketing]', true, $sf_params->get('config[checkbox_marketing]'), array('style' => 'margin: 0px 5px 0px 0px;'));?>
                                <?php else:?>
                                        <?php echo checkbox_tag('config[checkbox_marketing]', true, $config->get('checkbox_marketing'), array('style' => 'margin: 0px 5px 0px 0px;'));?>
                                <?php endif;?>
                                    <span style="color: red; font-size: 14px;">*</span> <?php echo label_for('config[checkbox_marketing]', __('Wyrażam zgodę na wykorzystanie logo sklepu internetowego i umieszczenie informacji o sklepie internetowym korzystającym z metody dostawy do punktów PointPack.pl w celach marketingowych przez PointPack.pl S.A. na portalu PointPack.pl.'), array('style' => 'float: none;'));?>
                                <br class="st_clear_all" />
                            </div>
                        </div>
                        <div class="form-row <?php if($sf_request->hasError('config{invoice_email}')):?> form-error<?php endif;?>">
                            <?php echo label_for('config[invoice_email]', __('Adres e-mail dla faktur').':', array('style' => 'float: none; width: 217px; display: inline-block; padding-right: 4px;'));?><span style="color: red; font-size: 14px; padding-right: 2px;">*</span>
                            <?php if($sf_request->hasErrors()):?>
                                <?php echo input_tag('config[invoice_email]', $sf_params->get('config[invoice_email]'), array('size' => '30'));?>
                            <?php else:?>
                                <?php echo input_tag('config[invoice_email]', $config->get('invoice_email'), array('size' => '30'));?>
                            <?php endif;?>
                            <br class="st_clear_all" />
                        </div>
                        <div class="form-row <?php if($sf_request->hasError('config{newsletter_email}')):?> form-error<?php endif;?>">
                            <?php echo label_for('config[newsletter_email]', __('Adres e-mail dla newslettera').':', array('style' => 'float: none; width: 217px; display: inline-block; padding-right: 4px;'));?><span style="color: red; font-size: 14px; padding-right: 2px;">*</span>
                            <?php if($sf_request->hasErrors()):?>
                                <?php echo input_tag('config[newsletter_email]', $sf_params->get('config[newsletter_email]'), array('size' => '30'));?>
                            <?php else:?>
                                <?php echo input_tag('config[newsletter_email]', $config->get('newsletter_email'), array('size' => '30'));?>
                            <?php endif;?>
                            <br class="st_clear_all" />
                        </div>
                        <div class="form-row <?php if($sf_request->hasError('config{marketing_description}')):?> form-error<?php endif;?>">
                            <?php echo label_for('config[marketing_description]', __('Opis sklepu').':', array('style' => 'float: none; width: 217px; display: inline-block; padding-right: 4px;'));?><span style="color: red; font-size: 14px; padding-right: 2px;">*</span>
                            <?php if($sf_request->hasErrors()):?>
                                <?php echo textarea_tag('config[marketing_description]', $sf_params->get('config[marketing_description]'), array('size' => '75x4'));?>
                            <?php else:?>
                                <?php echo textarea_tag('config[marketing_description]', $config->get('marketing_description'), array('size' => '75x4'));?>
                            <?php endif;?>
                            <br class="st_clear_all" />
                        </div>
                    </div>
                </fieldset>
                <fieldset>
                    <div class="st_header">
                        <div>
                            <h2><?php echo __('Prezentacja punktów dostawy');?></h2>
                        </div>
                    </div>
                    <div class="st_fieldset-content">
                        <div class="form-row <?php if($sf_request->hasError('config{map_group_points}')):?> form-error<?php endif;?>">
                            <?php echo label_for('config[map_group_points]', __('Grupuj punkty na mapie').':');?>
                            <?php if($sf_request->hasErrors()):?>
                                <?php echo checkbox_tag('config[map_group_points]', true, $sf_params->get('config[map_group_points]'));?>
                            <?php else:?>
                                <?php echo checkbox_tag('config[map_group_points]', true, $config->get('map_group_points'));?>
                            <?php endif;?>
                            <br class="st_clear_all" />
                        </div>
                    </div>
                </fieldset>
                <?php echo st_get_admin_actions_head('style="margin-top: 10px; float: right"');?>
                    <?php echo st_get_admin_action('save', __('Zapisz', array(), 'stAdminGeneratorPlugin'), null, array('name' => 'save'));?>
                <?php echo st_get_admin_actions_foot();?>
            </form>
        </div>
    </div>
    <br class="st_clear_all" />
<?php echo st_get_admin_foot();?>
