(function($) {

    $.pointpackSelectPoint = function(number, messages) {
        $.getJSON('/pointpack/getPoint/' + number, function(data) {
            var deliveryId = $('input.st_delivery-default:checked').val();

            $('#pointpack_point_number').val(number);
            $('#different_delivery').prop('disabled', true);

            $('#app_pointpack_delivery-' + deliveryId).html(messages[1]);
            $('#app_pointpack_delivery_address-' + deliveryId).html(data.name + '<br />' + data.fullAddress + '<br/>' + data.address.zipCode + ' ' + data.address.city);

            if ($('#different_delivery').next('span').length)
                $('#different_delivery').next('span').html($('#different_delivery').next('span').html() + ' (' + messages[2] + ')');

            $('#app_pointpack_delivery_address-' + deliveryId).show();

            $.pointpackShowAdditionalPrice(messages);

            if ($('#app_pointpack_basket_button_info').length)
                $('#app_pointpack_basket_button_info').remove();

            $('#app_pointpack_basket_terms_box').show();

            $('#order_form_delivery').hide();
            if($('#order_form_billing').hasClass('left'))
                $('#order_form_billing').removeClass('left').addClass('right');

            $(".frame").pointpackEqualHeight();
            $(".data_frame").pointpackEqualHeight();
        });
    }

    $.pointpackRestoreBasket = function(messages) {
        var deliveryId = $('input.st_delivery-default:checked').val();
            
        $('#pointpack_point_number').val('');
        $('#different_delivery').prop('disabled', false);

        $('.pointpack_active_overlay').html(messages[0]);
        $('.app_pointpack_delivery_address').html('');

        if ($('#different_delivery').next('span').length)
            $('#different_delivery').next('span').html($('#different_delivery').next('span').html().replace('(' + messages[2]  +')',''));

        $('.app_pointpack_delivery_address').hide();

        if ($('#pointpack_additional_price').length)
            $('#pointpack_additional_price').remove();

        $('#app_pointpack_basket_terms_box').hide();

        if($('#order_form_billing').hasClass('right')) {
            $('#order_form_billing').removeClass('right').addClass('left');
            $('#order_form_delivery').show();
        }

        $(".frame").pointpackEqualHeight();
        $(".data_frame").pointpackEqualHeight();
    }

    $.pointpackShowAdditionalPrice = function(messages) {
        var deliveryId = $('input.st_delivery-default:checked').val();
        var additionalPrice = $('#app_pointpack_delivery-' + deliveryId).data('additional-price');
        if (additionalPrice.length) {
            info = '<div class="st_delivery-basket_summaty-amount">' + additionalPrice + '</div>' +
                   '<div class="st_delivery-basket_summaty-text">' + messages[3] + ':</div>';
            if($('#pointpack_additional_price').length) {
                $('#pointpack_additional_price').html(info);
            } else {
                div = '<div id="pointpack_additional_price">' + info + '</div><br class="st_clear_all">';
                $('#st_delivery-basket_summary').html($('#st_delivery-basket_summary').html() + div);
            }
        } else if(!additionalPrice.length && $('#pointpack_additional_price').length) {
            $('#pointpack_additional_price').remove();
        }
    }

    $.fn.pointpackEqualHeight = function() {
        tallest = 0;
        this.each(function() {
            $(this).css("height","auto");
            thisHeight = $(this).height();
            if(thisHeight > tallest) {
                tallest = thisHeight;
            }
        });
        this.height(tallest);
    }

}(jQuery));
